package com.njcn.prepare.harmonic.service.mysql.newalgorithm;

import com.njcn.device.biz.pojo.dto.DeptGetChildrenMoreDTO;
import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;
import com.njcn.user.pojo.po.Dept;

import java.util.List;

/**
 * Description:
 * Date: 2023/8/14  10:13【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RStatLoadTypeService {
    void handler(List<Dept> deptList, String dataDate, Integer type);

    void handleDay(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleMonth(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleQtr(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleYear(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);
}
